package tabhost.demo.widget;

import java.util.List;  
import java.util.Map;  
import tabhost.demo.TestActivity;
import android.app.AlertDialog;
import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;  
import android.view.View; 
import android.view.ViewGroup;  
import android.widget.BaseAdapter; 
import android.widget.Button;
import android.widget.ImageView;  
import android.widget.TextView;  

public class ListSimpleAdapter extends BaseAdapter {
	
	private LayoutInflater layoutinflater;
	private List<Map<String,Object>> list;
	private int layoutId;
	private String flag[];
	private int ItemId[];
	
	public ListSimpleAdapter(Context context,List<Map<String,Object>> list,
	        int layoutId,String flag[],int ItemId[]){
		
		this.layoutinflater = LayoutInflater.from(context);
		this.list = list;
		this.layoutId = layoutId;
		this.flag = flag;
		this.ItemId = ItemId;
		
	}
	
	//òʾview
	@Override
	public int getCount(){
	
		return list.size();
	}
	
	@Override
	public Object getItem(int arg0){
		
		return 0;
	}
	
	@Override
	public long getItemId(int arg0){
		
		return 0;
	}
	
	@Override
	public View getView(int position,View convertView,ViewGroup parent){
		
		convertView = layoutinflater.inflate(layoutId, null);
		
		//ݵӦĿؼУע˴textviewӦд棬ʵؼ
		for(int i=0;i<flag.length;i++){
			
			if(convertView.findViewById(ItemId[i]) instanceof ImageView){
				ImageView imageView = (ImageView) convertView.findViewById(ItemId[i]);
				imageView.setBackgroundResource((Integer) list.get(position).get(flag[i]));	
				Log.e("type","imageview");
			}
			else if(convertView.findViewById(ItemId[i]) instanceof Button){
				Button button = (Button) convertView.findViewById(ItemId[i]);
				button.setText((String) list.get(position).get(flag[i]));
                button.setOnClickListener(  
    	                new Button.OnClickListener() {  
    	                    @Override  
    	                    public void onClick(View v) {  
    	                        new AlertDialog.Builder(TestActivity.TestActivity)  
    	                        .setTitle("Button")  
    	                        .setMessage("ť¼")  
    	                        .show();  
    	                    }  
    	        });
                Log.e("type","button");
			}
			else if(convertView.findViewById(ItemId[i]) instanceof TextView){
				TextView textView = (TextView) convertView.findViewById(ItemId[i]);
				textView.setText((String) list.get(position).get(flag[i]));
				Log.e("type","textview");
			}
			else{
				//ԤؼĿؼ뽫дTextViewǰ
			}
		}
			return convertView;				
	}
	
}